<div class="iwptp-editor-left-sidebar-help-item" data-section="query">
    <span style="padding-bottom: 5px;"><?php _e('In this section, you can specify which products to display in the table.', 'ithemeland-woocommerce-product-table-pro-lite'); ?></span>
    <span><?php _e('for example:', 'ithemeland-woocommerce-product-table-pro-lite'); ?></span>

    <ul>
        <li><?php _e('If you want to display some specific products, select them in the Include Products field.', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('If you want to display only the products of a specific category, you can select them through the Include Taxonomies field.', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('If you need the products to be in a certain price range or to display only featured or on-sale products, all these are available in this section.', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
    </ul>
</div>

<div class="iwptp-editor-left-sidebar-help-item" data-section="columns">
    <span style="padding-bottom: 5px;"><?php _e('After specifying the desired products, through this section you can specify which columns should be displayed for the table. These columns include all the fields related to the products, plus columns for product selection, adding to the shopping cart, specifying the quantity, etc.
        Note) You can do this for all types of devices (Laptop, Tablet, Mobile).', 'ithemeland-woocommerce-product-table-pro-lite'); ?></span>

    <span><?php _e('Follow the steps below to add:', 'ithemeland-woocommerce-product-table-pro-lite'); ?></span>

    <ul>
        <li><?php _e('1- Click the Add a Column button', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('2- Specify the desired name for the column (this name is not displayed in the table and is only for separating the columns)', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('3- Heading: specify the title of the column', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('4- Cell Template: Select the desired field or element to display in the table', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
    </ul>
</div>

<div class="iwptp-editor-left-sidebar-help-item" data-section="navigation">
    <span style="padding-bottom: 5px;"><?php _e('In this section, you can add tools to make it easier for the user to work with the table. These tools include an advanced search form, tools to display the shopping cart, table pagination, download table information, etc.
        Note) These elements can be displayed at the top of the table, at the bottom of the table and also in the sidebar.', 'ithemeland-woocommerce-product-table-pro-lite'); ?></span>

    <span><?php _e('To add these tools, follow the steps below:', 'ithemeland-woocommerce-product-table-pro-lite'); ?></span>

    <ul>
        <li><?php _e('1- We click the (Add Element) button in the desired area', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('2- Select the desired element with desired settings', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('Note: If you need to display these tools in responsive mode, add them in the Responsive navigation section', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
    </ul>
</div>

<div class="iwptp-editor-left-sidebar-help-item" data-section="settings">
    <span style="padding-bottom: 5px;"><?php _e('General settings of the table are done through this section.', 'ithemeland-woocommerce-product-table-pro-lite'); ?></span>

    <span><?php _e('Some of the settings available in this section include:', 'ithemeland-woocommerce-product-table-pro-lite'); ?></span>

    <ul>
        <li><?php _e('1- Display or not display the table for users or a specific group of them', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('2- Freeze Column settings for Laptop, Tablet and Mobile', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('3- Settings related to Freeze Heading for Laptop, Tablet and Mobile', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('4- Displaying variations in separate lines', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('5- Settings related to Loading', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('6- and ...', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
    </ul>
</div>

<div class="iwptp-editor-left-sidebar-help-item" data-section="style">
    <span style="padding-bottom: 5px;"><?php _e('In this section, you can design the appearance of the table and its different sections with color, font, etc. <br>
        Note: You can use predefined templates (also you can save your templates and use them for the next tables)', 'ithemeland-woocommerce-product-table-pro-lite'); ?></span>

    <span><?php _e('Available sections:', 'ithemeland-woocommerce-product-table-pro-lite'); ?></span>

    <ul>
        <li><?php _e('1- The main table that you can set for all types of devices', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('2- The section related to Navigation', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('3- Shopping cart', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
        <li><?php _e('4- and ...', 'ithemeland-woocommerce-product-table-pro-lite'); ?></li>
    </ul>
</div>